gtkmm: Gtk::NeverTrigger Class Reference

gtkmm 4.2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::NeverTrigger Class Reference

A Gtk::ShortcutTrigger that never triggers. More...

`#include <gtkmm/shortcuttrigger.h>`

Inheritance diagram for Gtk::NeverTrigger:
[legend]

## Public Member Functions
| NeverTrigger (NeverTrigger&& src) noexcept
NeverTrigger& | operator= (NeverTrigger&& src) noexcept
| ~NeverTrigger () noexcept override
GtkNeverTrigger* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkNeverTrigger* | gobj () const
| Provides access to the underlying C GObject. More...
GtkNeverTrigger* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger (ShortcutTrigger&& src) noexcept
ShortcutTrigger& | operator= (ShortcutTrigger&& src) noexcept
| ~ShortcutTrigger () noexcept override
GtkShortcutTrigger* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkShortcutTrigger* | gobj () const
| Provides access to the underlying C GObject. More...
GtkShortcutTrigger* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | to_string () const
| Prints the given trigger into a human-readable string. More...
Glib::ustring | to_label (const Glib::RefPtr< const Gdk::Display >& display) const
| Gets textual representation for the given trigger. More...
bool | equal (const Glib::RefPtr< const ShortcutTrigger >& trigger2) const
| Checks if trigger1 and trigger2 trigger under the same conditions. More...
int | compare (const Glib::RefPtr< const ShortcutTrigger >& trigger2) const
| The types of trigger1 and trigger2 are #gconstpointer only to allow use of this function as a CompareFunc. More...
Gdk::KeyMatch | trigger (const Glib::RefPtr< const Gdk::Event >& event, bool enable_mnemonics) const
| Checks if the given event triggers self. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< NeverTrigger > | get ()
| Gets the never trigger. More...
Static Public Member Functions inherited from Gtk::ShortcutTrigger
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< ShortcutTrigger > | parse_string (const Glib::ustring&string)
| Tries to parse the given string into a trigger. More...

## Protected Member Functions
| NeverTrigger ()
Protected Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::NeverTrigger > | wrap (GtkNeverTrigger* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::ShortcutTrigger
Glib::RefPtr< Gtk::ShortcutTrigger > | wrap (GtkShortcutTrigger* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)

## Detailed Description

A Gtk::ShortcutTrigger that never triggers.

## Constructor & Destructor Documentation

## ◆ NeverTrigger() [1/2]

Gtk::NeverTrigger::NeverTrigger | ( | NeverTrigger&& | src | ) |
| noexcept

## ◆ ~NeverTrigger()

Gtk::NeverTrigger::~NeverTrigger | ( |  | ) |
| overridenoexcept

## ◆ NeverTrigger() [2/2]

Gtk::NeverTrigger::NeverTrigger | ( |  | ) |
| protected

## Member Function Documentation

## ◆ get()

static Glib::RefPtr<NeverTrigger> Gtk::NeverTrigger::get | ( |  | ) |
| static

Gets the never trigger.

This is a singleton for a trigger that never triggers. Use this trigger instead of `nullptr` because it implements all virtual functions.

Returns
  The never trigger.

## ◆ get_type()

static GType Gtk::NeverTrigger::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkNeverTrigger* Gtk::NeverTrigger::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkNeverTrigger* Gtk::NeverTrigger::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkNeverTrigger* Gtk::NeverTrigger::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NeverTrigger& Gtk::NeverTrigger::operator= | ( | NeverTrigger&& | src | ) |
| noexcept

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::NeverTrigger > wrap | ( | GtkNeverTrigger * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.